For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesWhite-labelAPI Reference
GuidesWhite-labelAPI Reference
  • Panic API Reference
      • POSTCreate a customer
      • GETGet a customer
      • PUTUpdate a customer
      • POSTSoft-delete a customer
        • POSTCreate a signup session
        • GETRetrieve a signup session
    • Errors & status codes
LogoLogo
Panic API ReferenceCustomersCustomer Signup

Retrieve a signup session

GET
/panic-api/v2/customer-signup/sessions/:id
GET
/panic-api/v2/customer-signup/sessions/:id
$curl https://staging-panic.aura.services/panic-api/v2/customer-signup/sessions/css_123 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "id": "css_123",
3 "status": "pending_verification",
4 "url": "https://signup.aura.services/session/css_123",
5 "customerId": 987654
6}
Retrieves the current state of a hosted signup session after it was created for customer onboarding.
Was this page helpful?
Previous

List customer subscriptions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Hosted signup session identifier.

Response

Signup session state.
idstring
statusstring
urlstringformat: "uri"
customerIdinteger or null

Errors

401
Unauthorized Error
404
Not Found Error